﻿namespace AudioMate
{
    public static class Storables
    {
        public const string ActiveCollection = "ActiveCollection";
        public const string AddImportedFilesToActiveCollectionEnabled = "AddImportedFilesToActiveCollection";
        public const string AdvancedUIEnabled = "AdvancedUIEnabled";
        public const string Collections = "Collections";
        public const string CollisionTriggers = "collisionTriggers";
        public const string FirstMultiselectButtonAmount = "FirstMultiselectButtonAmount";
        public const string SecondMultiselectButtonAmount = "SecondMultiselectButtonAmount";
        public const string VolumeTrigger = "volumeTrigger";
        public const string DisplayHints = "DisplayHints";
        public const string IncludesAudioClips = "IncludesAudioClips";
        public const string Morphs = "Morphs";
        public const string PitchControlEnabled = "PitchControlEnabled";
        public const string ReceivingAtom = "ReceivingAtom";
        public const string ReceivingNode = "ReceivingNode";
        public const string TriggerActions = "TriggerActions";
        public const string VolumeControlEnabled = "VolumeControlEnabled";

        // Actions
        public const string PlayClipAction = "PlayClipFromActiveCollection";
        public const string PlayClipFromCollectionAction = "PlayClipFrom";
        public const string PlayRandomClipAction = "PlayRandomClipFromActiveCollection";
        public const string PlayRandomClipFromCollectionAction = "PlayRandomClipFrom";
        public const string QueueClipAction = "QueueClipFromActiveCollection";
        public const string QueueClipFromCollectionAction = "QueueClipFrom";
        public const string QueueRandomClipAction = "QueueRandomClipFromActiveCollection";
        public const string QueueRandomClipFromCollectionAction = "QueueRandomClipFrom";
        public const string PlayNextClipAction = "PlayNextClipFromActiveCollection";
        public const string PlayNextClipFromCollectionAction = "PlayNextClipFrom";
        public const string PlayPreviousClipAction = "PlayPreviousClipFromActiveCollection";
        public const string PlayPreviousClipFromCollectionAction = "PlayPreviousClipFrom";
        public const string PlayCurrentClipAction = "PlayCurrentClipFromActiveCollection";
        public const string PlayCurrentClipFromCollectionAction = "PlayCurrentClipFrom";
        public const string SetPlayIndexAction = "SetPlayIndexOfActiveCollection";
        public const string SetPlayIndexOfCollectionAction = "SetPlayIndexOf";
        public const string ResetPlayIndexAction = "ResetPlayIndexOfActiveCollection";
        public const string ResetPlayIndexOfCollectionAction = "ResetPlayIndexOf";
        public const string SetActiveCollectionAction = "SetActiveCollectionTo";
        public const string EnableActiveCollectionAction = "EnableActiveCollection";
        public const string EnableCollectionAction = "Enable";
        public const string DisableActiveCollectionAction = "DisableActiveCollection";
        public const string DisableCollectionAction = "Disable";
    }
}
