﻿using UnityEngine;

namespace AudioMate
{
    public static class Palette
    {
        public static Color Text = new Color(0.199f, 0.199f, 0.199f);
        public static Color Background = new Color(0.29f, 0.34f, 0.41f);
        public static Color TextAlt = new Color(250 / 255.0f, 250 / 255.0f, 250 / 255.0f);
        public static Color BackgroundAlt = new Color(75 / 255.0f, 73 / 255.0f, 11 / 255.0f);
        public static Color ButtonBackground = new Color(0.839f, 0.839f, 0.839f);
        public static Color EmbeddedText = TextAlt;
        public static Color EmbeddedBackground = new Color(0.29f, 0.34f, 0.41f);
        public static Color Danger = new Color(0.7f, .2f, 81 / 255.0f);
        public static Color Success = new Color(46 / 255.0f,133 / 255.0f,91 / 255.0f);
        public static Color LightGray = new Color(0.64f, 0.64f, 0.64f);
        public static Color Gray = new Color(0.46f, 0.46f, 0.46f);
        public static Color DarkGray = new Color(0.21f, 0.21f, 0.21f);
        public static Color TransparentLightGray = new Color(0f, 0f, 0f, 0.2f);
        public static Color TransparentGray = new Color(0f, 0f, 0f, 0.5f);
        public static Color TransparentDarkGray = new Color(0f, 0f, 0f, 0.9f);
        public static Color TransparentLightWhite = new Color(1f, 1f, 1f, 0.3f);
    }
}
